## r-cran-ragg 0.4.1

=== DESCRIPTION ===
Package: ragg
Type: Package
Title: Graphic Devices Based on AGG
Version: 0.4.1
Authors@R: 
    c(person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("cre", "aut"),
             email = "thomas.pedersen@rstudio.com",
             comment = c(ORCID = "0000-0002-5147-4711")),
      person(given = "Maxim",
             family = "Shemanarev",
             role = c("aut", "cph"),
             comment = "Author of AGG"),
      person(given = "Tony",
             family = "Juricic",
             role = c("ctb", "cph"),
             email = "tonygeek@yahoo.com",
             comment = "Contributor to AGG"),
      person(given = "Milan",
             family = "Marusinec",
             role = c("ctb", "cph"),
             email = "milan@marusinec.sk",
             comment = "Contributor to AGG"),
      person(given = "Spencer",
             family = "Garrett",
             role = "ctb",
             comment = "Contributor to AGG"),
      person(given = "RStudio",
             role = "cph"))
Maintainer: Thomas Lin Pedersen <thomas.pedersen@rstudio.com>
Description: Anti-Grain Geometry (AGG) is a high-quality and high-performance
    2D drawing library. The 'ragg' package provides a set of graphic devices 
    based on AGG to use as alternative to the raster devices provided through
    the 'grDevices' package.
License: MIT + file LICENSE
URL: https://ragg.r-lib.org, https://github.com/r-lib/ragg
BugReports: https://github.com/r-lib/ragg/issues
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: C++11, freetype2, libpng, libtiff, libjpeg
Suggests: covr, testthat, grid, graphics
Imports: systemfonts (>= 0.2.1), textshaping
LinkingTo: systemfonts, textshaping
NeedsCompilation: yes
Packaged: 2021-01-04 13:09:26 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  Maxim Shemanarev [aut, cph] (Author of AGG),
  Tony Juricic [ctb, cph] (Contributor to AGG),
  Milan Marusinec [ctb, cph] (Contributor to AGG),
  Spencer Garrett [ctb] (Contributor to AGG),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2021-01-11 15:30:03 UTC

=== debian/changelog ===
r-cran-ragg (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 15:01:22 +0100

r-cran-ragg (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 17:44:40 +0100

r-cran-ragg (0.3.1-1) unstable; urgency=medium

  * Initial release (closes: #970094)

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Sep 2020 02:48:45 +0200

=== debian/control ===
Source: r-cran-ragg
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-systemfonts,
               r-cran-textshaping,
# <dh-update-R>do not delete this</dh-update-R>
               libfreetype-dev,
               libpng-dev,
               libjpeg-dev,
               libtiff-dev,
               pkg-config
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git
Homepage: https://cran.r-project.org/package=ragg
Rules-Requires-Root: no

Package: r-cran-ragg
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R graphic devices based on AGG
 Anti-Grain Geometry (AGG) is a high-quality and high-performance
 2D drawing library. The 'ragg' package provides a set of graphic devices
 based on AGG to use as alternative to the raster devices provided through
 the 'grDevices' package.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ragg_([-\d.]*)\.tar\.gz

## r-cran-ragg 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ragg
 Type: Package
 Title: Graphic Devices Based on AGG
-Version: 0.4.1
+Version: 1.2.1
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -40,10 +40,10 @@
 RoxygenNote: 7.1.1
 SystemRequirements: C++11, freetype2, libpng, libtiff, libjpeg
 Suggests: covr, testthat, grid, graphics
-Imports: systemfonts (>= 0.2.1), textshaping
+Imports: systemfonts (>= 1.0.3), textshaping (>= 0.3.0)
 LinkingTo: systemfonts, textshaping
 NeedsCompilation: yes
-Packaged: 2021-01-04 13:09:26 UTC; thomas
+Packaged: 2021-12-06 14:54:42 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   Maxim Shemanarev [aut, cph] (Author of AGG),
@@ -52,4 +52,4 @@
   Spencer Garrett [ctb] (Contributor to AGG),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2021-01-11 15:30:03 UTC
+Date/Publication: 2021-12-06 15:20:02 UTC

=== debian/changelog ===
r-cran-ragg (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 11:57:48 +0100

r-cran-ragg (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0
  * Run cme, dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 20:43:39 +0530

r-cran-ragg (1.1.3-2) UNRELEASED; urgency=medium

  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 07:47:47 +0200

r-cran-ragg (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 18:04:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-systemfonts,
-               r-cran-textshaping,
-# <dh-update-R>do not delete this</dh-update-R>
+               r-cran-systemfonts (>= 1.0.3),
+               r-cran-textshaping (>= 0.3.0),
                libfreetype-dev,
                libpng-dev,
                libjpeg-dev,
                libtiff-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git
 Homepage: https://cran.r-project.org/package=ragg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	find src/agg \( -name "*.o" -o -name "*.a" \) -delete

## r-cran-ragg 1.2.2

=== debian/changelog ===
r-cran-ragg (1.2.2-3build1) kinetic; urgency=medium

  * No-change rebuild against R_GE_version 15

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 15 May 2022 12:31:33 +0000

r-cran-ragg (1.2.2-3) unstable; urgency=medium

  * Team upload.
    + Re-build with 4.2.0-1

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Apr 2022 22:50:01 +0530

r-cran-ragg (1.2.2-2) unstable; urgency=medium

  * Team upload.
    + Re-build with new R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 22:31:54 +0530

r-cran-ragg (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 08:29:45 +0100

## r-cran-ragg 1.2.5

=== DESCRIPTION ===
Type: Package
Package: ragg
Title: Graphic Devices Based on AGG
Version: 1.2.5
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("Maxim", "Shemanarev", role = c("aut", "cph"),
           comment = "Author of AGG"),
    person("Tony", "Juricic", , "tonygeek@yahoo.com", role = c("ctb", "cph"),
           comment = "Contributor to AGG"),
    person("Milan", "Marusinec", , "milan@marusinec.sk", role = c("ctb", "cph"),
           comment = "Contributor to AGG"),
    person("Spencer", "Garrett", role = "ctb",
           comment = "Contributor to AGG"),
    person("RStudio", role = c("cph", "fnd"))
  )
Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
Description: Anti-Grain Geometry (AGG) is a high-quality and
    high-performance 2D drawing library. The 'ragg' package provides a set
    of graphic devices based on AGG to use as alternative to the raster
    devices provided through the 'grDevices' package.
License: MIT + file LICENSE
URL: https://ragg.r-lib.org, https://github.com/r-lib/ragg
BugReports: https://github.com/r-lib/ragg/issues
Imports: systemfonts (>= 1.0.3), textshaping (>= 0.3.0)
Suggests: covr, graphics, grid, testthat
LinkingTo: systemfonts, textshaping
Config/Needs/website: ggplot2, devoid, magick, bench, tidyr, ggridges,
        hexbin, sessioninfo, pkgdown, tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.1
SystemRequirements: C++11, freetype2, libpng, libtiff, libjpeg
NeedsCompilation: yes
Packaged: 2023-01-12 09:36:24 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  Maxim Shemanarev [aut, cph] (Author of AGG),
  Tony Juricic [ctb, cph] (Contributor to AGG),
  Milan Marusinec [ctb, cph] (Contributor to AGG),
  Spencer Garrett [ctb] (Contributor to AGG),
  RStudio [cph, fnd]
Repository: CRAN
Date/Publication: 2023-01-12 10:30:08 UTC

=== debian/changelog ===
r-cran-ragg (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 15:19:21 +0100

r-cran-ragg (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:50:13 +0100

r-cran-ragg (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 21:15:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-ragg
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git
+Homepage: https://cran.r-project.org/package=ragg
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +18,7 @@
                libjpeg-dev,
                libtiff-dev,
                pkg-config
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git
-Homepage: https://cran.r-project.org/package=ragg
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ragg
 Architecture: any

## r-cran-ragg 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: ragg
 Title: Graphic Devices Based on AGG
-Version: 1.2.5
+Version: 1.2.7
 Authors@R: c(
     person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("cre", "aut"),
            comment = c(ORCID = "0000-0002-5147-4711")),
@@ -13,7 +13,7 @@
            comment = "Contributor to AGG"),
     person("Spencer", "Garrett", role = "ctb",
            comment = "Contributor to AGG"),
-    person("RStudio", role = c("cph", "fnd"))
+    person("Posit, PBC", role = c("cph", "fnd"))
   )
 Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
 Description: Anti-Grain Geometry (AGG) is a high-quality and
@@ -24,21 +24,22 @@
 URL: https://ragg.r-lib.org, https://github.com/r-lib/ragg
 BugReports: https://github.com/r-lib/ragg/issues
 Imports: systemfonts (>= 1.0.3), textshaping (>= 0.3.0)
-Suggests: covr, graphics, grid, testthat
+Suggests: covr, graphics, grid, testthat (>= 3.0.0)
 LinkingTo: systemfonts, textshaping
 Config/Needs/website: ggplot2, devoid, magick, bench, tidyr, ggridges,
         hexbin, sessioninfo, pkgdown, tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.1
-SystemRequirements: C++11, freetype2, libpng, libtiff, libjpeg
+RoxygenNote: 7.2.3
+SystemRequirements: freetype2, libpng, libtiff, libjpeg
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-01-12 09:36:24 UTC; thomas
+Packaged: 2023-12-11 13:39:35 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   Maxim Shemanarev [aut, cph] (Author of AGG),
   Tony Juricic [ctb, cph] (Contributor to AGG),
   Milan Marusinec [ctb, cph] (Contributor to AGG),
   Spencer Garrett [ctb] (Contributor to AGG),
-  RStudio [cph, fnd]
+  Posit, PBC [cph, fnd]
 Repository: CRAN
-Date/Publication: 2023-01-12 10:30:08 UTC
+Date/Publication: 2023-12-11 15:30:09 UTC

=== debian/changelog ===
r-cran-ragg (1.2.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:36:08 +1100

r-cran-ragg (1.2.7-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:08:34 +0000

r-cran-ragg (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:36:52 +0100

r-cran-ragg (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 11:12:30 +0200

r-cran-ragg (1.2.5-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with r-graphics-engine set by r-base

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:11:54 +0200

r-cran-ragg (1.2.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against r-base 4.3.1 to deal with graphics API change
    Closes: #1039925

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 22:07:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-ragg
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git

## r-cran-ragg 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: ragg
 Title: Graphic Devices Based on AGG
-Version: 1.2.7
+Version: 1.3.2
 Authors@R: c(
     person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("cre", "aut"),
            comment = c(ORCID = "0000-0002-5147-4711")),
@@ -29,11 +29,11 @@
 Config/Needs/website: ggplot2, devoid, magick, bench, tidyr, ggridges,
         hexbin, sessioninfo, pkgdown, tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 SystemRequirements: freetype2, libpng, libtiff, libjpeg
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-12-11 13:39:35 UTC; thomas
+Packaged: 2024-05-15 06:29:03 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   Maxim Shemanarev [aut, cph] (Author of AGG),
@@ -42,4 +42,4 @@
   Spencer Garrett [ctb] (Contributor to AGG),
   Posit, PBC [cph, fnd]
 Repository: CRAN
-Date/Publication: 2023-12-11 15:30:09 UTC
+Date/Publication: 2024-05-15 07:00:02 UTC

=== debian/changelog ===
r-cran-ragg (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Jul 2024 10:44:10 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-ragg
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git
 Homepage: https://cran.r-project.org/package=ragg
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-ragg 1.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: ragg
 Title: Graphic Devices Based on AGG
-Version: 1.3.2
+Version: 1.3.3
 Authors@R: c(
     person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("cre", "aut"),
            comment = c(ORCID = "0000-0002-5147-4711")),
@@ -33,7 +33,7 @@
 SystemRequirements: freetype2, libpng, libtiff, libjpeg
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2024-05-15 06:29:03 UTC; thomas
+Packaged: 2024-09-11 08:03:16 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   Maxim Shemanarev [aut, cph] (Author of AGG),
@@ -42,4 +42,4 @@
   Spencer Garrett [ctb] (Contributor to AGG),
   Posit, PBC [cph, fnd]
 Repository: CRAN
-Date/Publication: 2024-05-15 07:00:02 UTC
+Date/Publication: 2024-09-11 17:50:02 UTC

=== debian/changelog ===
r-cran-ragg (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1081877
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 18:09:58 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-ragg 1.5.0

=== debian/changelog ===
r-cran-ragg (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 10:36:54 +0900

=== debian/control ===
Source: r-cran-ragg
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-systemfonts,
               r-cran-textshaping,
               libfreetype-dev,
               libpng-dev,
               libjpeg-dev,
               libtiff-dev,
               pkgconf,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ragg
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ragg.git
Homepage: https://cran.r-project.org/package=ragg
Rules-Requires-Root: no

Package: r-cran-ragg
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R graphic devices based on AGG
 Anti-Grain Geometry (AGG) is a high-quality and high-performance
 2D drawing library. The 'ragg' package provides a set of graphic devices
 based on AGG to use as alternative to the raster devices provided through
 the 'grDevices' package.
